Doomsday Engine - Feature #1686

Derived resource packs
2013-12-21 19:21 - skyjake

Status: Closed Start date: 2013-12-21
Priority: Normal % Done: 100%
Assignee:

Category: Enhancement

Target version:

Description

It should be possible to create a resource pack that is based on another, but with some changes applied. For instance, an
oculusriftstyle.pack based on defaultstyle.pack. The base pack could be specified in the pack Info file, or it could be done via includes
in the .dei files.

Related issues:
Related to Feature #1601: Package management In Progress  2014-04-18

History

#1 - 2013-12-21 19:34 - skyjake
Another use case would be a HiDPI Ul pack for OS X retina displays.

#2 - 2015-11-25 22:26 - skyjake
- Assignee deleted (skyjake)

#3 - 2019-11-29 21:35 - skyjake
- Status changed from New to Closed
- Target version set to Architecture

- % Done changed from 0 to 100

This is already possible using include directives in Info files, and referencing the base package via the "/packs/(id)/" path.

#4 - 2019-11-29 23:16 - skyjake

- Target version deleted (Architecture)
